Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## nextapp.echo2.app
Class MutableStyleSheet

    java.lang.Object
      nextapp.echo2.app.MutableStyleSheet

All Implemented Interfaces:
  java.io.Serializable, StyleSheet

    public class MutableStyleSheet

extends java.lang.Object
implements StyleSheet

A mutable implementation of a `StyleSheet`.

See Also:
  Serialized Form

Constructor Summary
`MutableStyleSheet()`

Method Summary
`void` | `addStyle(java.lang.Class componentClass, java.lang.String styleName, Style style)` Adds a `Style` to the `StyleSheet`.
`void` | `addStyleSheet(MutableStyleSheet styleSheet)` Adds the contents of another `StyleSheet` to this `StyleSheet`.
`Style` | `getStyle(java.lang.Class componentClass, java.lang.String styleName)` Retrieves the appropriate style for the specified component class and style name.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MutableStyleSheet

    public MutableStyleSheet()

Method Detail

### addStyle

    public void addStyle(java.lang.Class componentClass,
                         java.lang.String styleName,
                         Style style)

  Adds a `Style` to the `StyleSheet`.

  Parameters:
    `componentClass` - the `Class` of the `Component` for which the style is to be used
    `styleName` - the name of the style
    `style` - the `Style` to be added

### addStyleSheet

    public void addStyleSheet(MutableStyleSheet styleSheet)

  Adds the contents of another `StyleSheet` to this `StyleSheet`. Future changes to the added `StyleSheet` will not be reflected, unless it is re-added.

  Parameters:
    `styleSheet` - the `StyleSheet` to add

### getStyle

    public Style getStyle(java.lang.Class componentClass,
                          java.lang.String styleName)

  Description copied from interface: `StyleSheet`
  Retrieves the appropriate style for the specified component class and style name.

  Specified by:
    `getStyle` in interface `StyleSheet`
  Parameters:
    `componentClass` - the `Class` of the `Component` for which style information is being determined
    `styleName` - the name of the `Component`'s specified named style
  Returns:
    the appropriate `Style` if found, or null otherwise
  See Also:
    `StyleSheet.getStyle(java.lang.Class, java.lang.String)`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD